libblockdev-2.11-1

Introduction to libblockdev

libblockdev is a C library supporting GObject introspection for manipulation of block devices. It has a plugin-based architecture where each technology (like LVM, Btrfs, MD RAID, Swap,...) is implemented in a separate plugin, possibly with multiple implementations (e.g. using LVM CLI or the new LVM DBus API).

本パッケージは LFS-8.0 において正しくビルドでき動作することが確認されています。

Package Information

libblockdev Dependencies

Required

gobject-introspection-1.52.1, libbytesize-0.11, LVM2-2.02.171 (with device-mapper), and volume_key-0.3.9

Recommended

Optional

btrfs-progs-4.12, GTK-Doc-1.26, mdadm-4.0, parted-3.2, Python-2.7.13, dmraid, and bcachefs

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libblockdev

Installation of libblockdev

Install libblockdev by running the following commands:

sh autogen.sh &&

./configure --prefix=/usr \
            --without-dm  \
            --sysconfdir=/etc &&
make

This package does not come with a test suite.

Now, as the root user:

make install

Contents

Installed Programs: None
Installed Libraries: libbd_btrfs.so, libbd_crypto.so, libbd_fs.so, libbd_kbd.so, libbd_loop.so, libbd_lvm.so, libbd_lvm-dbus.so, libbd_mdraid.so, libbd_mpath.so, libbd_part.so, libbd_part_err.so, libbd_swap.so, libbd_utils.so, and libblockdev.so
Installed Directories: /etc/libblockdev and /usr/include/blockdev

最終更新日: 2017-08-17 05:38:22 +0900